#pragma once

#include "ListBox.h"
#include "ItemPanel.h"
#include "ScriptletContainerFactory.h"

namespace tipuio
{
	class NPCOMMONUI_API SimpleListBoxItemPanel : public ItemPanel, public IMouseListener
	{
	public:
		DECLARE_COMPONENT_CREATOR(SimpleListBoxItemPanel)
		SimpleListBoxItemPanel(void);
		virtual ~SimpleListBoxItemPanel(void);

		//override
		void OnCreate();
		void OnDestroy();
		void OnSetItem(Item* pItem);
		void OnSelected();
		void OnUnselected();

		//IMouseListener
		void	OnMousePressed(CMouseEvent* pMouseEvent) {}
		void	OnMouseReleased(CMouseEvent* pMouseEvent) {}
		void	OnMouseEntered(CMouseEvent* pMouseEvent);
		void	OnMouseExited(CMouseEvent* pMouseEvent);
		void	OnMouseMoved(CMouseEvent* pMouseEvent) {}
		void	OnMouseWheelMoved(CMouseEvent* pMouseEvent) {}
	};
};